net.snowflake.client

## Class SnowflakeFileUploaderTest

- java.lang.Object
- - net.snowflake.client.SnowflakeFileUploaderTest

    public class SnowflakeFileUploaderTest
    extends Object

Author:
  jhuang

### Field Summary

Fields
`TemporaryFolder` `folder`

### Constructor Summary

Constructors
Constructor and Description
`SnowflakeFileUploaderTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `setUp()`
`static void` `setUpClass()`
`void` `tearDown()`
`static void` `tearDownClass()`
`void` `testDate()`
`void` `tester()`
`void` `testProcessFileNames()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### folder

    public TemporaryFolder folder

### Constructor Detail

#### SnowflakeFileUploaderTest

    public SnowflakeFileUploaderTest()

### Method Detail

#### setUpClass

    public static void setUpClass()

#### tearDownClass

    public static void tearDownClass()

#### setUp

    public void setUp()

#### tearDown

    public void tearDown()

#### testProcessFileNames

    public void testProcessFileNames()
                              throws IOException

Throws:
  `IOException`

#### tester

    public void tester()

#### testDate

    public void testDate()
                  throws ParseException

Throws:
  `ParseException`